Skip to main content
POST
List API key requests

Authorizations

Authorization
string
header
required

Send your access token as header Authorization: Bearer {accessToken}

Authorization
string
header
required

Your API key that starts with sk_live or sk_test. You can create yours at go.prem.io/api-keys.

Body

application/json

Request body for filtering API key requests

api_key_id
string[]

Filter by API key ID(s)

created_at_from
string<mysql-date-time>

Filter requests from this date

created_at_to
string<mysql-date-time>

Filter requests until this date

status
enum<string>[]

Filter by HTTP response status code

Available options:
success,
failed
method
enum<string>[]

Filter by HTTP method

Available options:
GET,
POST,
PUT,
PATCH,
DELETE,
OPTIONS,
HEAD

General search across path, ID, scope, and IP

limit
integer
default:50

Maximum number of results to return

Required range: x >= 1
offset
integer
default:0

Number of results to skip

Required range: x >= 0

Response

Successful API key requests list response

status
enum<integer>
required

Status code of the response

Available options:
200,
201,
202
data
object
required

Response data containing the requested object

message
string | null
required

Message of the response, human readable

Example:

"Resource created successfully"

env
enum<string>
required

API environment

Available options:
development,
production
error
string | null

Error message of the response, human readable

Example:

"Invalid email address"

log

Useful informaiton, not always present, to debug the response

Examples:

"Some pertinent log message"

validator

Validator response object, each key is the field name and value is the error message

Example:
support_id
string<uuid> | null

Support ID linked to the response, used to identify it when talking with our team

Example:

"support_uuidv7-something-else"